package com.njzscloud.supervisory.role.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.role.mapper.SysRoleResMapper;
import com.njzscloud.supervisory.role.pojo.SysRoleResourceEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 角色-资源关系表
 */
@Slf4j
@Service
public class SysRoleResService extends ServiceImpl<SysRoleResMapper, SysRoleResourceEntity> implements IService<SysRoleResourceEntity> {

    /**
     * 新增
     *
     * @param sysRoleResourceEntity 数据
     */

    public void add(SysRoleResourceEntity sysRoleResourceEntity) {
        this.save(sysRoleResourceEntity);
    }

    /**
     * 修改
     *
     * @param sysRoleResourceEntity 数据
     */

    public void modify(SysRoleResourceEntity sysRoleResourceEntity) {
        this.updateById(sysRoleResourceEntity);
    }

    /**
     * 删除
     *
     * @param ids Ids
     */

    @Transactional(rollbackFor = Exception.class)
    public void del(List<Long> ids) {
        this.removeBatchByIds(ids);
    }

    /**
     * 详情
     *
     * @param id Id
     * @return SysRoleResourceEntity 结果
     */

    public SysRoleResourceEntity detail(Long id) {
        return this.getById(id);
    }

    /**
     * 分页查询
     *
     * @param sysRoleResourceEntity 筛选条件
     * @param pageParam             分页参数
     * @return PageResult&lt;SysRoleResourceEntity&gt; 分页结果
     */

    public PageResult<SysRoleResourceEntity> paging(PageParam pageParam, SysRoleResourceEntity sysRoleResourceEntity) {
        return PageResult.of(this.page(pageParam.toPage(), Wrappers.<SysRoleResourceEntity>query(sysRoleResourceEntity)));
    }

}
